* {
    scroll-behavior: smooth;
    margin: 0; 
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
    background-image: url('/images/ave.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size:cover;
    color: white;
    text-shadow: 2px 2px 2px black;  
}

.navbar {
    position: absolute;
    right: 10px;
    background-color: rgb(7, 110, 206);
    padding: 10px;
    border-radius: 5px;
}

.navbar a {
    margin-left: 15px; 
    text-decoration: none;
}


#avg-title {
    padding: 1rem;
}

#board {
    width: 400px;
    height: 400px;
    border: 2px solid purple;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
}

#board img {
    width: 79px;
    height: 79px;
    border: 0.2px solid lightblue;
    box-sizing: border-box;
    margin: 0 auto;
}

#board img[src*="blank.jpg"] {
    opacity: 0.5;
}

#board img:hover {
    border: 2px solid yellow;
    cursor: pointer;
    transform: scale(1.05);
    transition: transform 0.3s ease, border 0.3s ease;

}

#pieces {
    width: 1040px;
    height: 160px;
    border: 2px solid purple;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
}

#pieces img {
    width: 79px;
    height: 79px;
    border: 0.5px solid lightblue;
    box-sizing: border-box;
    margin: 0 auto;
}

button {
    font-size: 16px;
    margin-top: 2rem;
    padding: 1rem;
    width: 8rem;
    border-radius: 8px;
    background-color: rgb(7, 110, 206);
    cursor: pointer;
    text-shadow: 2px 2px 2px black;
    color: white; 
    box-shadow: 6px 6px 6px black;
    margin-right: 15px;
}

button:hover {
    background-color: rgb(99, 170, 236);
}

#stats-container {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

#stats-container div {
    font-size: 1.5rem;
    font-weight: bolder;
    margin: 10px;

}

#timer, #turns {
    background-color: rgba(2, 79, 141, 0.7);
    color: white;
    padding: 10px; 
    border-radius: 8px;
    margin: 0 10px; 
    font-size: 1.5rem;
    text-shadow: 1px 1px 2px black;
    border: 1px solid black;
}

.label {
    background-color: rgba(2, 79, 141, 0.7);
    padding: 10px;
    border: 1px solid black;
    border-radius: 8px;
}

.score-container {
    margin-top: 10rem;
}

.score-container h2 {
    background-color: navy;
    margin-bottom: 10rem;
    padding: 8px;
}

#leaderboard {
    width: 80%;
    margin: 0 auto; 
    border-collapse: collapse;
}

#leaderboard th, #leaderboard td {
    border: 1px solid white;
    padding: 8px; 
    text-align: center; 
}

#leaderboard th {
    background-color: rgb(7, 110, 206);
    color: white;
    font-size: 20px;
}

#leaderboard tr:nth-child(even) {
    background-color: rgba(99, 170, 236, 0.808);
}

#leaderboard tr:nth-child(odd) {
    background-color: rgba(51, 150, 243, 0.808);
}

#leaderboard tr:hover {
    background-color: #ddd;
}

#clearLastPlayer {
    width: 10rem;
    margin-bottom: 12rem;
}




